Package org.eclipse.emf.cdo.spi.server

# Interface InternalTopicManager

All Superinterfaces:
  `org.eclipse.net4j.util.container.IContainer<ITopic>`, `org.eclipse.net4j.util.event.INotifier`, `ITopicManager`

public interface InternalTopicManager extends ITopicManager

Since:
  4.17
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends Object>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`InternalSession[]`
`addSubscription(String id, InternalSession session)`
`InternalSessionManager`
`getSessionManager()`
`InternalTopic`
`getTopic(String id)`
`InternalTopic`
`getTopic(String id, boolean createOnDemand)`
`InternalTopic[]`
`getTopics()`
`void`
`removeSubscription(String id, InternalSession session)`
`void`
`removeTopic(InternalTopic topic)`
`List<InternalTopic>`
`sessionClosed(InternalSession session)`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getSessionManager

InternalSessionManager getSessionManager()

Specified by:
  `getSessionManager` in interface `ITopicManager`

### getTopic

InternalTopic getTopic(String id)

Specified by:
  `getTopic` in interface `ITopicManager`

### getTopic

InternalTopic getTopic(String id, boolean createOnDemand)

### getTopics

InternalTopic[] getTopics()

Specified by:
  `getTopics` in interface `ITopicManager`

### addSubscription

InternalSession[] addSubscription(String id, InternalSession session)

### removeSubscription

void removeSubscription(String id, InternalSession session)

### removeTopic

void removeTopic(InternalTopic topic)

### sessionClosed

List<InternalTopic> sessionClosed(InternalSession session)